> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ach.netevia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transactions ( STABLE )

> Retrieve a list of transactions based on filter parameters



## OpenAPI

````yaml https://api.grailpay.com/docs?api-docs.json get /3p/api/v2/transactions
openapi: 3.0.0
info:
  title: GrailPay ACH API
  description: API Documentation for moving funds via ACH using the GrailPay ACH API
  version: 2025.12.19.2
servers:
  - url: https://api.grailpay.com
    description: Production environment
  - url: https://api-sandbox.grailpay.com
    description: Sandbox environment
security: []
tags:
  - name: Users
    description: >-
      API Endpoints used for the onboarding and managing People, Businesses, and
      Merchants.
  - name: Transactions
    description: API Endpoints used for creating and managing transactions.
  - name: Payouts
    description: API Endpoints used for fetching payout information.
  - name: Refunds
    description: API Endpoints used for creating and retrieving refunds.
  - name: Bank Accounts
    description: API Endpoints used for adding and managing bank accounts.
  - name: Webhooks
    description: API Endpoints used for registering and de-registering webhooks.
  - name: Billing
    description: API Endpoints used for retrieving billing information.
  - name: Stable
    description: Stable, up-to-date APIs that are recommended for current integration.
  - name: Sunsetting
    description: Sunsetting APIs that are still supported but scheduled for deprecation.
  - name: Deprecated
    description: Deprecated APIs that are no longer supported and should be removed.
  - name: SUNSETTING
    description: SUNSETTING
paths:
  /3p/api/v2/transactions:
    get:
      tags:
        - Transactions
        - Stable
      summary: Get Transactions ( STABLE )
      description: Retrieve a list of transactions based on filter parameters
      operationId: 5aa060d7d961b95ba524221445ac18a7
      parameters:
        - name: per_page
          in: query
          description: Number of records per page
          required: false
          schema:
            type: integer
        - name: page
          in: query
          description: Page number
          required: false
          schema:
            type: integer
        - name: start_date
          in: query
          description: Start date for filtering transactions
          required: false
          schema:
            type: string
            format: date
        - name: end_date
          in: query
          description: End date for filtering transactions
          required: false
          schema:
            type: string
            format: date
        - name: sort_order
          in: query
          description: Sort order
          required: false
          schema:
            type: string
            enum:
              - newest
              - oldest
        - name: payer_account_uuid
          in: query
          description: UUID of the payer account
          required: false
          schema:
            type: string
            format: uuid
        - name: payer_account_aggregator_type
          in: query
          description: >-
            Aggregator type of the payer account (Required when
            payer_account_uuid is provided)
          required: false
          schema:
            type: string
        - name: payee_account_uuid
          in: query
          description: UUID of the payee account
          required: false
          schema:
            type: string
            format: uuid
        - name: payee_account_aggregator_type
          in: query
          description: Aggregator type of the payee account
          required: false
          schema:
            type: string
      responses:
        '200':
          description: List of transactions
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: ''
                  data:
                    properties:
                      transactions:
                        type: array
                        items:
                          $ref: '#/components/schemas/V2TransactionResponse'
                    type: object
                  errors:
                    type: string
                    example: null
                  error_code:
                    type: string
                    example: null
                type: object
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Invalid parameters received
                  data:
                    type: object
                    example: null
                  errors:
                    type: string
                    example: null
                  error_code:
                    type: string
                    example: null
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/Error401Unauthorized'
                  - $ref: '#/components/schemas/Error401InvalidTokenStructure'
                  - $ref: '#/components/schemas/Error401InvalidTokenData'
      security:
        - ApiToken: []
components:
  schemas:
    V2TransactionResponse:
      properties:
        uuid:
          type: string
          example: 9c330a70-84de-46c3-a380-70b34799b1d3
        payer_uuid:
          type: string
          example: 7d021f9a-b5f4-4668-8d78-0f448f55f984
        payee_uuid:
          type: string
          example: ec82930a-b59e-4ed2-83dd-0f041bfa5baa
        processor_mid:
          type: string
          example: '123131123'
        batch_payout_id:
          type: string
          example: de880c41-5a9e-4c93-b9fe-252a61125258
        transaction_status:
          type: string
          example: PAYOUT_COMPLETE
        capture_status:
          type: string
          example: CAPTURE_COMPLETE
        payout_status:
          type: string
          example: PAYOUT_COMPLETE
        clawback_status:
          type: string
          example: null
          nullable: true
        reverse_payout_status:
          type: string
          example: null
          nullable: true
        currency:
          type: string
          example: USD
        amount:
          type: integer
          example: 57163
        transaction_fee:
          type: integer
          example: 0
        client_reference_id:
          type: string
          example: stageN5@123
        payout_delay_days:
          type: integer
          example: 0
        company_name:
          type: string
          example: Company-1
        description:
          type: string
          example: null
          nullable: true
        addenda:
          type: string
          example: null
          nullable: true
        type:
          type: string
          example: api
        ach_return_code:
          type: string
          example: R01
        cancel_reason:
          type: string
          example: null
          nullable: true
        speed:
          type: string
          example: sameday
        failure_code:
          type: string
          example: R01
          nullable: true
        failure_reason:
          type: string
          example: Insufficient funds
          nullable: true
        payer_bank_account:
          properties:
            uuid:
              type: string
              example: 9c3306a6-743f-4f8f-9a33-dcd081a06204
            aggregator_type:
              type: string
              example: bank_link
          type: object
        payee_bank_account:
          properties:
            uuid:
              type: string
              example: 9c33090b-c0fb-42ce-9ad8-921665d15a90
            aggregator_type:
              type: string
              example: bank_link
          type: object
        payout_ach_return_code:
          type: string
          format: string
          example: R01
        payout_failure_reason:
          type: string
          format: string
          example: Insufficient funds
        vendor_name:
          type: string
          format: string
          example: Vendor-1
        trace_ids:
          properties:
            capture_trace_id:
              type: string
              example: ach_92lhg3vbf76qxzp
            payout_trace_id:
              type: string
              example: ach_57ytkdw84mncxvq
            reverse_payout_trace_id:
              type: string
              example: ''
            refunds:
              type: array
              items:
                properties:
                  refund_uuid:
                    type: string
                    example: ''
                  refund_capture_trace_id:
                    type: string
                    example: ''
                  refund_payout_trace_id:
                    type: string
                    example: ''
                type: object
          type: object
        created_at:
          type: string
          format: string
          example: '2024-06-03 15:58:44'
        updated_at:
          type: string
          format: string
          example: '2024-06-04 18:30:30'
      type: object
    Error401Unauthorized:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid Token
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenStructure:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The token should be in the following format:
            ID|TOKEN_VALUE. Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenData:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The ID in the token must be an integer.
            Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
  securitySchemes:
    ApiToken:
      type: http
      description: >-
        Token-based authentication using Authorization: Bearer <YOUR_API_KEY>
        provided by the GrailPay Support Team.
      bearerFormat: Token
      scheme: bearer

````